Search documentation of wx

# View Source wxScrollWinEvent (wx v2.4.3)

A scroll event holds information about events sent from scrolling windows.

Note that you can use the EVT_SCROLLWIN* macros for intercepting scroll window events from the receiving window.

See:

- `wxScrollEvent`

- Overview events

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxScrollWinEvent

## Events

Use `wxEvtHandler:connect/3` with `wxScrollWinEventType` to subscribe to events of this type.

# Summary

## Types

wxScrollWin()
wxScrollWinEvent()
wxScrollWinEventType()

## Functions

getOrientation(This)

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

getPosition(This)

Returns the position of the scrollbar for the thumb track and release events.

# Types

Link to this type

# wxScrollWin()

View Source

    -type wxScrollWin() ::
              #wxScrollWin{type :: wxScrollWinEvent:wxScrollWinEventType(),
                           commandInt :: integer(),
                           extraLong :: integer()}.

Link to this type

# wxScrollWinEvent()

View Source

    -type wxScrollWinEvent() :: wx:wx_object().

Link to this type

# wxScrollWinEventType()

View Source

    -type wxScrollWinEventType() ::
              scrollwin_top | scrollwin_bottom | scrollwin_lineup | scrollwin_linedown | scrollwin_pageup |
              scrollwin_pagedown | scrollwin_thumbtrack | scrollwin_thumbrelease.

# Functions

Link to this function

# getOrientation(This)

View Source

    -spec getOrientation(This) -> integer() when This :: wxScrollWinEvent().

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

Link to this function

# getPosition(This)

View Source

    -spec getPosition(This) -> integer() when This :: wxScrollWinEvent().

Returns the position of the scrollbar for the thumb track and release events.

Note that this field can't be used for the other events, you need to query the window itself for the current position in that case.